# Uses of Interface
com.sun.source.tree.EmptyStatementTree

Packages that use EmptyStatementTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of EmptyStatementTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type EmptyStatementTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitEmptyStatement(EmptyStatementTree node, P p)`
Visits an `EmptyStatementTree` node.

## Uses of EmptyStatementTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type EmptyStatementTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitEmptyStatement(EmptyStatementTree node, P p)`
Visits an `EmptyStatementTree` node.
`R`
TreeScanner.`visitEmptyStatement(EmptyStatementTree node, P p)`
Visits an `EmptyStatementTree` node.